package com.ruoyi.pda.mapper;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.pda.domain.APKVersion;
import com.ruoyi.pda.domain.ApiUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by wangh on 2021/4/26-9:32。
 */
@Repository
public interface LoginMapper {
    String login_findSalt(String name);

    SysUser login_getUser(@Param("name") String name, @Param("passw") String passw);

    List<String> selectMenuNameByUserID(Integer userID);

    APKVersion getVersion();

    List<String> selectMenuName();

    ApiUser apiLogin(@Param("name")String name,@Param("pass") String md5Str);
}
